### Name: msc.peaks.read.csv & msc.peaks.write.csv
### Title: Read and Write Mass Spectra Peaks in CSV Format
### Aliases: msc.peaks.read.csv msc.peaks.write.csv
### Keywords: ts

### ** Examples

  # load "Data_IMAC.Rdata" file containing raw MS spectra 'X'  
  if (!file.exists("Data_IMAC.Rdata")) example("msc.project.read")
  load("Data_IMAC.Rdata")

  # Find Peaks and save them
  Peaks = msc.peaks.find(X) # create peak data
  msc.peaks.write.csv(Peaks, "peaks.csv")
  Pks = msc.peaks.read.csv("peaks.csv")
  stopifnot(Pks==Peaks)
  # Suggestion: inspect 'peaks.csv' using any text editor          
  file.remove("peaks.csv")



