### Name: msc.peaks.read.mzXML & msc.peaks.write.mzXML
### Title: Read / write calculated peaks heights and positions to/from
###   mzXML Files
### Aliases: msc.peaks.read.mzXML msc.peaks.write.mzXML
### Keywords: file

### ** Examples

  # load "Data_IMAC.Rdata" file containing raw MS spectra 'X'  
  if (!file.exists("Data_IMAC.Rdata")) example("msc.project.read")
  load("Data_IMAC.Rdata")
  
  # Find Peaks and save them
  Peaks = msc.peaks.find(X) # create peak data
  msc.peaks.write.mzXML(Peaks, "peaks.mzXML", precision='64')
  X = msc.peaks.read.mzXML("peaks.mzXML")
  stopifnot(X$scans$Substance.Mass == Peaks$Substance.Mass,
            X$scans$Intensity == Peaks$Intensity, 
            X$scans$Spectrum.==Peaks$Spectrum., X$scans$Peak.==Peaks$Peak.)
  # Suggestion: inspect 'peaks.mzXML' using any text editor          
  file.remove("peaks.mzXML")



