### Name: msc.project.read
### Title: Read and Manage a Batch of Protein Mass Spectra
### Aliases: msc.project.read
### Keywords: ts file

### ** Examples

  #================================================
  # test reading project file with only CVS files
  #================================================
  # find name of example project file
  directory = system.file("Test", package = "caMassClass") # input directory 
  ProjectFile = file.path(directory,"InputFiles.csv")      # full name 
  # read $ save the project data 
  FileName = msc.project.read(ProjectFile, '.')
  cat("File ",FileName," was created\n")
  
  #================================================
  # test reading project file with mzXML files
  #================================================
  load(FileName)  # load data: X & SampleLabels
  X1 = X          # make a copy of X for future use
  # save X in mzXML format
  msc.rawMS.write.mzXML(X, "rawMS32.mzXML",  precision="32") # save X as mzXML
  # create new project table
  ProjTab = c(colnames(X), SampleLabels, paste("rawMS32.mzXML", 1:40, sep='/'))
  dim(ProjTab) = c(20,4)
  colnames(ProjTab) = c("SampleName", "Class", "Temp1", "Temp2")
  print(ProjTab)
  # read $ save the project data 
  FileName = msc.project.read(ProjTab, '.')
  cat("File ",FileName," was created\n")
  # compare results
  load(FileName) # load data: X & SampleLabels
  stopifnot(max(abs(X-X1))<1e-5)
  file.remove(FileName) # delete temporary files 



